KOPANO-CFGCHECKER(8)

NAME
kopano-cfgchecker - Checks kopano config files for common errors.

SYNOPSIS

kopano-cfgchecker [OPTION...]

DESCRIPTION

This program tests for common configuration errors for a given config file.

If no options are given, the help message is printed.

OPTIONS

With the following options config files can be tested:

-l ldap.cfg
    Replace ldap.cfg with the actual filename to check the ldap plugin configuration file.

    Use the -c yes and -d yes options to force hosted and multi-server support on if you configured your server that way.

-u unix.cfg
    Replace unix.cfg with the actual filename to check the unix plugin configuration file.

-s server.cfg
    Replace server.cfg with the actual filename to check the server configuration file.

-g gateway.cfg
    Replace gateway.cfg with the actual filename to check the gateway configuration file.

-i ical.cfg
    Replace ical.cfg with the actual filename to check the ical configuration file.

-m monitor.cfg
    Replace monitor.cfg with the actual filename to check the monitor configuration file.

-p spooler.cfg
    Replace spooler.cfg with the actual filename to check the spooler configuration file.

-a dagent.cfg
    Replace dagent.cfg with the actual filename to check the dagent configuration file.

-c [yes|no]
    Force multi-tenancy mode on/off. Has effect on server and plugin config files.

-d [yes|no]
    Force multi-server mode on/off. Has effect on server and plugin config files.

SEE ALSO

kopano(7)